Subject: Re: linux-next: build failure after merge of the nvdimm tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 6 Jul 2019 09:48:02 +1000

Hi Dan,

On Fri, 5 Jul 2019 15:32:19 -0700 Dan Williams <[email-masked]> wrote:
>
> On Fri, Jul 5, 2019 at 12:20 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the nvdimm tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> >
> > In file included from <command-line>:32:
> > ./usr/include/linux/virtio_pmem.h:19:2: error: unknown type name 'uint64_t'
> >   uint64_t start;
> >   ^~~~~~~~
> > ./usr/include/linux/virtio_pmem.h:20:2: error: unknown type name 'uint64_t'
> >   uint64_t size;
> >   ^~~~~~~~  
> 
> /me boggles at how this sat in 0day visible tree for a long while
> without this report?

These messages are produced by a new test in the kbuild tree, so you
need both it and the nvdimm tree together to get them.  That will
change after the merge window, of course.

-- 
Cheers,
Stephen Rothwell